#!/usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _commander = _interopRequireDefault(require("commander"));

var _package = _interopRequireDefault(require("../../package.json"));

console.log('Versions:');
console.log(` user-agent: ${process.env.npm_config_user_agent}`);
console.log(` packing: ${_package.default.version}`);

_commander.default.command('serve', 'start dev web server').command('serve-dist', 'review build output').alias('serve:dist').command('build', 'build project').command('dll', 'build dll').parse(process.argv);