"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lib = require("webpack/lib");

var _packingOptions = _interopRequireDefault(require("../schemas/packing-options"));

var _ = require("..");

/**
 * 校验 `config/packing.js` 参数
 */
var _default = () => {
  const options = (0, _.pRequire)('config/packing');

  try {
    (0, _lib.validateSchema)(_packingOptions.default, options);
  } catch (e) {
    // 改写默认异常信息
    e.headerName = 'Packing';
    e.message = e.message.replace(/Webpack/mg, 'Packing');
    throw e;
  }
};

exports.default = _default;
module.exports = exports.default;