"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = require("fs");

var _path = require("path");

/**
 * 获取 postcss/eslint/stylelint 的配置文件
 */
var _default = (filename, ...dirs) => {
  let configPath;
  const names = [`.${filename}rc.js`, `.${filename}rc`, `${filename}.config.js`];

  for (let i = 0; i < names.length; i++) {
    for (let j = 0; j < dirs.length; j++) {
      configPath = (0, _path.join)(dirs[j], names[i]);

      if ((0, _fs.existsSync)(configPath)) {
        return configPath;
      }
    }
  }

  return configPath;
};

exports.default = _default;
module.exports = exports.default;